Bug 987239 - gluster cli edits replicate volume options even when the volume type is non replicate
gluster cli edits replicate volume options even when the volume type is non r...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 00:06 EDT by Harshavardhana
Modified: 2015-10-07 08:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:23:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2013-07-23 00:06:54 EDT
Description of problem:

Even for example a volume type of `distribute`

Volume Name: gfs
Type: Distribute
Volume ID: 2d4bf8b2-e3c1-42bf-81ef-045d32ca4641
Status: Started
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 10.14.16.170:/mnt/samba
Options Reconfigured:
cluster.read-subvolume-index: 2
cluster.read-subvolume: subvol
cluster.data-self-heal-algorithm: full
cluster.metadata-change-log: off
cluster.data-change-log: off
cluster.entry-change-log: off
cluster.readdir-failover: off
cluster.choose-local: off
cluster.read-hash-mode: 1
cluster.background-self-heal-count: 32
cluster.self-heal-readdir-size: 131072
cluster.eager-lock: off
cluster.heal-timeout: 10

Version-Release number of selected component (if applicable):
3.4.0

How reproducible:
Always


Steps to Reproduce:
1. Create a dummy volume with one brick
2. $ gluster volume set <volname> cluster.eager-lock off
3. Replicate eager-lock is off

Actual results:
Replicate volume options are modified even when the volume type is non replicate

Expected results:
Replicate volume options should not be allowed to be modified and options should be validated prior to their relations
Comment 2 Niels de Vos 2015-05-17 17:59:30 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 3 Kaleb KEITHLEY 2015-10-07 08:23:11 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.